﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace TestThreadWebBrowser
{
    public partial class ChildForm : WeifenLuo.WinFormsUI.Docking.DockContent
    {
        public ChildForm()
        {
            InitializeComponent();
        }

private string strHtmlLeng = "";

private delegate void NoParameters();//无参数委托;
public string StrHtmlLeng
{
    get
    {
        if (this.InvokeRequired)
        {
            IAsyncResult iar = this.BeginInvoke(new NoParameters(GetHtmlLeng));
            while (!iar.IsCompleted)
            {
                System.Threading.Thread.Sleep(0);
            }
        }
        else
        {
            GetHtmlLeng();
        }
        return strHtmlLeng;
    }
}

private void GetHtmlLeng()
{
    strHtmlLeng = webBrowser1.DocumentText;
}

public delegate void OneStringParmenters(string str);//1个string参数委托
public void Navigate(string url)
{
    if (this.InvokeRequired)
    {
        this.BeginInvoke(new OneStringParmenters(Navigate), url);
    }
    else
    {
        webBrowser1.Navigate(url);
    }
}
    }
}
